

export const formWithAdvancedShowConditions = {
  display: 'wizard',
  title: 'Klacht indienen',
  name: 'formname',
  type: [
    'form'
  ],
  components: [
    {
      title: 'Namens',
      labelWidth: '',
      labelMargin: '',
      theme: 'default',
      breadcrumb: 'default',
      breadcrumbClickable: true,
      buttonSettings: {
        previous: true,
        cancel: true,
        next: true
      },
      navigateOnEnter: false,
      saveOnEnter: false,
      scrollToTop: false,
      tooltip: '',
      customClass: '',
      collapsible: false,
      hidden: false,
      hideLabel: false,
      disabled: false,
      modalEdit: false,
      key: 'page2',
      tags: [],
      properties: {},
      customConditional: '',
      conditional: {
        json: '',
        show: null,
        when: null,
        eq: ''
      },
      nextPage: '',
      logic: [],
      attributes: {},
      overlay: {
        style: '',
        page: '',
        left: '',
        top: '',
        width: '',
        height: ''
      },
      type: 'panel',
      label: 'Page 2',
      tabindex: '',
      input: false,
      tableView: false,
      components: [
        {
          label: 'Select an option',
          labelPosition: 'top',
          labelWidth: '',
          labelMargin: '',
          optionsLabelPosition: 'right',
          description: '',
          tooltip: '',
          customClass: '',
          tabindex: '',
          inline: false,
          hidden: false,
          hideLabel: false,
          autofocus: false,
          disabled: false,
          tableView: false,
          modalEdit: false,
          values: [
            {
              label: 'option 1',
              value: 'option1',
              shortcut: ''
            },
            {
              label: 'option 2',
              value: 'option2',
              shortcut: ''
            },
            {
              label: 'option 3',
              value: 'option 3',
              shortcut: ''
            }
          ],
          dataType: '',
          persistent: true,
          protected: false,
          dbIndex: false,
          encrypted: false,
          redrawOn: '',
          clearOnHide: true,
          customDefaultValue: '',
          calculateValue: '',
          calculateServer: false,
          allowCalculateOverride: false,
          validate: {
            required: true,
            onlyAvailableItems: false,
            customMessage: '',
            custom: '',
            customPrivate: false,
            json: '',
            strictDateValidation: false,
            multiple: false,
            unique: false
          },
          errorLabel: '',
          errors: '',
          key: 'selectanoption',
          tags: [],
          properties: {},
          conditional: {
            show: null,
            when: null,
            eq: '',
            json: ''
          },
          customConditional: '',
          logic: [],
          attributes: {},
          overlay: {
            style: '',
            page: '',
            left: '',
            top: '',
            width: '',
            height: ''
          },
          type: 'radio',
          input: true,
          placeholder: '',
          prefix: '',
          suffix: '',
          multiple: false,
          unique: false,
          refreshOn: '',
          dataGridLabel: false,
          widget: null,
          validateOn: 'change',
          showCharCount: false,
          showWordCount: false,
          allowMultipleMasks: false,
          addons: [],
          inputType: 'radio',
          fieldSet: false,
          id: 'egs8kk',
          defaultValue: ''
        },
        {
          label: 'Show when option 1 or 2 is selected',
          labelPosition: 'top',
          labelWidth: '',
          labelMargin: '',
          placeholder: '',
          description: '',
          tooltip: '',
          prefix: '',
          suffix: '',
          widget: {
            type: 'input'
          },
          inputMask: '',
          displayMask: '',
          allowMultipleMasks: false,
          customClass: '',
          tabindex: '',
          autocomplete: '',
          hidden: false,
          hideLabel: false,
          showWordCount: false,
          showCharCount: false,
          mask: false,
          autofocus: false,
          spellcheck: true,
          disabled: false,
          tableView: true,
          modalEdit: false,
          multiple: false,
          persistent: true,
          inputFormat: 'plain',
          protected: false,
          dbIndex: false,
          case: '',
          truncateMultipleSpaces: false,
          encrypted: false,
          redrawOn: '',
          clearOnHide: true,
          customDefaultValue: '',
          calculateValue: '',
          calculateServer: false,
          allowCalculateOverride: false,
          validateOn: 'change',
          validate: {
            required: true,
            minLength: '',
            maxLength: '',
            minWords: '',
            maxWords: '',
            pattern: '',
            customMessage: '',
            custom: '',
            customPrivate: false,
            json: '',
            strictDateValidation: false,
            multiple: false,
            unique: false
          },
          errorLabel: '',
          errors: '',
          key: 'textField',
          tags: [],
          properties: {},
          conditional: {
            show: null,
            when: null,
            eq: '',
            json: ''
          },
          customConditional: 'show = (data.selectanoption == \'option1\') | (data.selectanoption == \'option2\');\n',
          logic: [],
          attributes: {},
          overlay: {
            style: '',
            page: '',
            left: '',
            top: '',
            width: '',
            height: ''
          },
          type: 'textfield',
          input: true,
          unique: false,
          refreshOn: '',
          dataGridLabel: false,
          addons: [],
          inputType: 'text',
          id: 'ewsr3odl',
          defaultValue: ''
        }
      ],
      placeholder: '',
      prefix: '',
      suffix: '',
      multiple: false,
      defaultValue: null,
      protected: false,
      unique: false,
      persistent: false,
      clearOnHide: false,
      refreshOn: '',
      redrawOn: '',
      dataGridLabel: false,
      labelPosition: 'top',
      description: '',
      errorLabel: '',
      autofocus: false,
      dbIndex: false,
      customDefaultValue: '',
      calculateValue: '',
      calculateServer: false,
      widget: null,
      validateOn: 'change',
      validate: {
        required: false,
        custom: '',
        customPrivate: false,
        strictDateValidation: false,
        multiple: false,
        unique: false
      },
      allowCalculateOverride: false,
      encrypted: false,
      showCharCount: false,
      showWordCount: false,
      allowMultipleMasks: false,
      addons: [],
      tree: false,
      lazyLoad: false,
      id: 'e5sfho'
    }
  ]
}